# FileMetadataData class

## Constructors

FileMetadataData ({String? mediaType, int? width, int? height, String? desc, int? length, String? name, int? size, required List <JingleContentThumbnail> thumbnails, Map <HashFunction, String>? hashes})
  const
FileMetadataData.fromXML (XMLNode node)
  Parse `node` as a FileMetadataData element.
  factory

## Properties

desc → String?
  final
hashCode → int
  The hash code for this object.
  no setterinherited
hashes → Map <HashFunction, String>
  final
height → int?
  final
length → int?
  final
mediaType → String?
  final
name → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
size → int?
  final
thumbnails → List <JingleContentThumbnail>
  final
width → int?
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited